it-swarm.com.de

Wie löse ich “nicht erfüllte Abhängigkeiten bei der Installation von CUDA-9-0 auf Ubuntu 18.04”?

Ich versuche, CUDA-9-0 unter Ubuntu 18.04 zu installieren, erhalte jedoch die folgende Fehlermeldung, wenn ich den Befehl Sudo apt install cuda ausführe.

The following packages have unmet dependencies:
 cuda : Depends: cuda-9-0 (>= 9.0.176) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Ich habe nVidia-driver-390 richtig installiert. Ich versuche, CUDA mithilfe der Installationsmethode für lokale .deb-Dateien zu installieren, wie auf der Website von nVidia beschrieben hier

Ich benutze die .deb-Datei für Ubuntu 17.04

Hat jemand eine Idee, wie man das löst?

2
Peshmerge

Ich habe das Problem gelöst, indem ich den nVidia-Treiber entfernt und neu installiert habe. Was ich getan habe ist:

Sudo apt purge nvidia*

und dann neu installiert mit:

Sudo apt install nvidia-390

Ich verwende ppa:graphics-drivers/ppa für nVidia-Treiber. Das Repo wird hinzugefügt mit:

Sudo add-apt-repository ppa:graphics-drivers/ppa
Sudo apt-get update

Ich weiß nicht, was der Grund war, aber wie Sie sehen, löste das Entfernen und Neuinstallieren das Problem.

1
Peshmerge